package migl.lisp;

/**
 * Simple factory to access the interpreter implementation.
 * 
 * @author leberre
 *
 */
public class LispFactory {

    private LispFactory() {
        // do nothing
    }

    /**
     * Create a new instance of the interpreter.
     * 
     * @return a new lisp interpreter.
     */
    public static Lisp makeIntepreter() {
        throw new UnsupportedOperationException();
    }
}
